# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |gem|
  gem.name          = "pyro"
  gem.version       = "0.9.0"
  gem.authors       = "Jarrod Taylor"
  gem.email         = "jarrodtaylor@icloud.com"
  gem.homepage      = "https://github.com/jarrodtaylor/pyro"
  gem .license      = 'MIT'
  gem.summary       = "Build Ember.js apps with CoffeeScript and Sass...
                       without all that damn configuration."

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.add_dependency 'barber',            '~> 0.4.2'
  gem.add_dependency 'execjs',            '~> 1.4.0'
  gem.add_dependency 'coffee-script',     '~> 2.2.0'
  gem.add_dependency 'ember-source',      '~> 1.0.0.rc8'
  gem.add_dependency 'handlebars-source', '~> 1.0.12'
  gem.add_dependency 'jsmin',             '~> 1.0.1'
  gem.add_dependency 'sass',              '~> 3.2.10'
  gem.add_dependency 'sinatra',           '~> 1.4.3'
  gem.add_dependency 'thor',              '~> 0.18.1'

  gem.add_development_dependency 'coveralls', '~> 0.6.7'
  gem.add_development_dependency 'minitest',  '~> 5.0.6'
  gem.add_development_dependency 'rake',      '~> 10.1.0'
end
