class TestPyro < Minitest::Test

  def test_build
    Pyro.build('development', false, './templates/app')
    assert Dir.exists?('./templates/app/tmp')
    
    Pyro.build('production', false, './templates/app')
    assert Dir.exists?('./templates/app/pkg')
    
    FileUtils.rm_rf('./templates/app/tmp')
    refute Dir.exists?('./templates/app/tmp')

    FileUtils.rm_rf('./templates/app/pkg')
    refute Dir.exists?('./templates/app/pkg')
    
    assert_raises RuntimeError do
      Pyro.build
    end
  end

end
